Search Targeting Interests
curl --request POST \
--url https://public.plai.io/meta/search_targeting_interests \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"query": "<string>",
"specialAdCategories": [
"<string>"
],
"specialAdCountries": [
"<string>"
]
}
'import requests
url = "https://public.plai.io/meta/search_targeting_interests"
payload = {
"userId": "<string>",
"query": "<string>",
"specialAdCategories": ["<string>"],
"specialAdCountries": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
query: '<string>',
specialAdCategories: ['<string>'],
specialAdCountries: ['<string>']
})
};
fetch('https://public.plai.io/meta/search_targeting_interests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"interests": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"path": [
"<string>"
],
"audience_size_lower_bound": 123,
"audience_size_upper_bound": 123,
"description": "<string>"
}
],
"error": "<string>"
}
}Targeting
Search Targeting Interests
This endpoint allows you to search for advertising target interests based on specific criteria. It helps in identifying relevant interest groups to improve the accuracy and effectiveness of ad targeting.
POST
/
meta
/
search_targeting_interests
Search Targeting Interests
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Search Query, for example:
Marketingstring[]
default:[]
Supported Values =
HOUSING, FINANCIAL_PRODUCTS_SERVICES, EMPLOYMENTstring[]
default:[]
ISO 3166-1 alpha-2 country codes e.g:
US,UKResponse
boolean
Indicates that the HTTP response was successful (status code 200 OK).
object
Show Media Results
Show Media Results
boolean
Indicates whether the specific operation or API action was successful.
object[]
Show Interest Items
Show Interest Items
string
Error string if something went wrong